Bug 182357 - Delete mail/squirrelmail-postfixadmin-plugin port
Summary: Delete mail/squirrelmail-postfixadmin-plugin port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-24 22:00 UTC by Rin Morningstar
Modified: 2013-11-01 12:30 UTC (History)
0 users

See Also:


Attachments
file.diff (5.85 KB, patch)
2013-09-24 22:00 UTC, Rin Morningstar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rin Morningstar 2013-09-24 22:00:00 UTC
The postfixadmin plugin for SquirrelMail is now included with the "additions" collection distributed with postfix.admin.  Please delete the (now redundant) mail/squirrelmail-postfixadmin-plugin port.  Attached patch wipes the port files and updates MOVED and mail/Makefile.

Fix: Patch attached with submission follows:
Comment 1 Thomas Abthorpe freebsd_committer 2013-10-03 19:21:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-10-08 06:27:08 UTC
Author: tabthorpe
Date: Tue Oct  8 05:27:01 2013
New Revision: 329754
URL: http://svnweb.freebsd.org/changeset/ports/329754

Log:
  - Mark DEPRECATED, set EXPIRATION_DATE
  
  PR:		ports/182357 (based on)

Modified:
  head/mail/squirrelmail-postfixadmin-plugin/Makefile   (contents, props changed)

Modified: head/mail/squirrelmail-postfixadmin-plugin/Makefile
==============================================================================
--- head/mail/squirrelmail-postfixadmin-plugin/Makefile	Tue Oct  8 05:08:43 2013	(r329753)
+++ head/mail/squirrelmail-postfixadmin-plugin/Makefile	Tue Oct  8 05:27:01 2013	(r329754)
@@ -14,6 +14,9 @@ DIST_SUBDIR=	squirrelmail
 MAINTAINER=	ports.maintainer@evilphi.com
 COMMENT=	Lets users change password, vacation, and forwarding
 
+DEPRECATED=	Now distributed with postfixadmin
+EXPIRATION_DATE=	2013-11-01
+
 RUN_DEPENDS=	ZendFramework>=1.9.0:${PORTSDIR}/www/zend-framework1
 
 USE_BZIP2=	yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2013-11-01 12:22:26 UTC
Author: tabthorpe
Date: Fri Nov  1 12:22:19 2013
New Revision: 332361
URL: http://svnweb.freebsd.org/changeset/ports/332361

Log:
  2013-11-01 mail/squirrelmail-postfixadmin-plugin: Now distributed with postfixadmin
  
  PR:		ports/182357
  Submitted by:	former maintainer

Deleted:
  head/mail/squirrelmail-postfixadmin-plugin/
Modified:
  head/MOVED
  head/mail/Makefile

Modified: head/MOVED
==============================================================================
--- head/MOVED	Fri Nov  1 12:19:48 2013	(r332360)
+++ head/MOVED	Fri Nov  1 12:22:19 2013	(r332361)
@@ -5157,3 +5157,4 @@ net-im/pidgin-msn-pecan||2013-10-31|Has 
 net-im/py-msnp||2013-10-31|Has expired: Primary MSN Messenger service terminated 30 APR 2013
 net-im/pymsn||2013-10-31|Has expired: Primary MSN Messenger service terminated 30 APR 2013
 net-im/tmsnc||2013-10-31|Has expired: Primary MSN Messenger service terminated 30 APR 2013
+mail/squirrelmail-postfixadmin-plugin|mail/postfixadmin|2013-11-01|Has expired: Now distributed with postfixadmin

Modified: head/mail/Makefile
==============================================================================
--- head/mail/Makefile	Fri Nov  1 12:19:48 2013	(r332360)
+++ head/mail/Makefile	Fri Nov  1 12:22:19 2013	(r332361)
@@ -688,7 +688,6 @@
     SUBDIR += squirrelmail-notify-plugin
     SUBDIR += squirrelmail-password_forget-plugin
     SUBDIR += squirrelmail-plugins
-    SUBDIR += squirrelmail-postfixadmin-plugin
     SUBDIR += squirrelmail-pupdate-plugin
     SUBDIR += squirrelmail-qmailadmin_login-plugin
     SUBDIR += squirrelmail-quota_usage-plugin
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Thomas Abthorpe freebsd_committer 2013-11-01 12:26:58 UTC
State Changed
From-To: open->closed

Committed. Thanks!